org.firebirdsql.gds.ng.wire

## Class AsynchronousProcessor

- java.lang.Object
- - org.firebirdsql.gds.ng.wire.AsynchronousProcessor

    public class AsynchronousProcessor
    extends java.lang.Object

Process asynchronous channels for notification of events.

Since:
  3.0
Author:
  Mark Rotteveel

### Method Summary

Methods
`static AsynchronousProcessor` `getInstance()`
`void` `registerAsynchronousChannel(FbWireAsynchronousChannel channel)` Registers an asynchronous channel with the asynchronous processor.
`void` `shutdown()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getInstance

    public static AsynchronousProcessor getInstance()

Returns:
  Singleton instance

#### registerAsynchronousChannel

    public void registerAsynchronousChannel(FbWireAsynchronousChannel channel)

Registers an asynchronous channel with the asynchronous processor.

Parameters:
  `channel` - The channel to register

#### shutdown

    public void shutdown()